Name:           python-interegular
Version:        0.3.3
Release:        %mkrel 2
Summary:        a regex intersection checker
Group:          Development/Python

License:        MIT
URL:            https://github.com/MegaIng/regex_intersections
Source:         %{pypi_source interegular}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
A library to check a subset of python regexes for intersections. Based on
grennery by @qntm. Adapted for lark-parser.

interegular is focused on speed and compatibility with python re syntax.}

%description %_description

%package -n     python3-interegular
Summary:        %{summary}

%description -n python3-interegular %_description


%prep
%autosetup -p1 -n interegular-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files interegular


%check
%pyproject_check_import


%files -n python3-interegular -f %{pyproject_files}



%changelog
* Sat Mar 01 2025 wally <wally> 0.3.3-2.mga10
+ Revision: 2155123
- rebuild for python3.13

* Wed Apr 03 2024 papoteur <papoteur> 0.3.3-1.mga10
+ Revision: 2054083
- imported package python-interegular

